> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /qoo10/products

> Get full Qoo10 product details by goodscode (or product URL): name, brand, price, images, rating, review_count, description, seller, shipping options, stock and availability.

**Price:** 10 credits

**⚠️ Common errors:** 412: Product not found (well-formed but nonexistent goodscode)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/qoo10/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/qoo10/products:
    post:
      tags:
        - /qoo10
      summary: /qoo10/products
      description: >-
        Get full Qoo10 product details by goodscode (or product URL): name,
        brand, price, images, rating, review_count, description, seller,
        shipping options, stock and availability.


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Product not found (well-formed but
        nonexistent goodscode)
      operationId: __api_qoo10_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Qoo10ProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Qoo10Product'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Qoo10ProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        domain:
          $ref: '#/components/schemas/Qoo10Domain'
          default: qoo10.jp
        product:
          type: string
          minLength: 1
      type: object
      required:
        - product
    Qoo10Product:
      properties:
        '@type':
          type: string
          default: Qoo10Product
        id:
          type: string
        url:
          type: string
        name:
          type: string
        brand:
          anyOf:
            - type: string
            - type: 'null'
        brand_id:
          anyOf:
            - type: string
            - type: 'null'
        brand_country:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          type: string
          default: JPY
        discount_rate:
          anyOf:
            - type: number
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        price_valid_until:
          anyOf:
            - type: string
            - type: 'null'
        ship_from:
          anyOf:
            - type: string
            - type: 'null'
        weight:
          anyOf:
            - type: number
            - type: 'null'
        is_coupon_available:
          type: boolean
          default: false
        is_adult:
          type: boolean
          default: false
        reward_points:
          anyOf:
            - type: integer
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/Qoo10ProductSeller'
            - type: 'null'
        options:
          items:
            $ref: '#/components/schemas/Qoo10ProductOption'
          type: array
          default: []
      type: object
      required:
        - id
        - url
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    Qoo10Domain:
      type: string
      enum:
        - qoo10.jp
        - qoo10.sg
        - qoo10.com.hk
        - qoo10.my
    Qoo10ProductSeller:
      properties:
        '@type':
          type: string
          default: Qoo10ProductSeller
        id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        point_rate:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    Qoo10ProductOption:
      properties:
        '@type':
          type: string
          default: Qoo10ProductOption
        inventory_no:
          type: integer
          default: 0
        stock:
          type: integer
          default: 0
        is_sold_out:
          type: boolean
          default: false
        ship_from:
          anyOf:
            - type: string
            - type: 'null'
        delivery_fee:
          type: number
          default: 0
        guarantee_days:
          anyOf:
            - type: integer
            - type: 'null'
        shipping_center_code:
          anyOf:
            - type: string
            - type: 'null'
        delivery_group_no:
          anyOf:
            - type: integer
            - type: 'null'
        courier:
          anyOf:
            - type: string
            - type: 'null'
        last_mile:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````